<?php

namespace App\ViewModels\Unidade\UnidadeRegistrationViewModel;
use App\Utils\Entity;

class UnidadeRegistrationViewModel extends Entity
{
    protected $cep;
    protected $bairro;
    protected $logradouro;
    protected $cidade;
    protected $estado;
    protected $numero;
    protected $complemento;
    protected $referencias;
    protected $telefone_1;
    protected $telefone_2;
    protected $observacao;
    protected $nome_fantasia;
    protected $razao_social;
    protected $cnpj;

    protected $descricao;
    protected $telemedicina;

    protected $adicionado_por;
    protected $alterado_por;

    public static function builder() : UnidadeRegistrationViewModelBuilder
    {
        $paciente_registration_view_model_builder = new UnidadeRegistrationViewModelBuilder();
        return $paciente_registration_view_model_builder;
    }

    /**
     * @return mixed
     */
    public function getDescricao()
    {
        return $this->descricao;
    }

    /**
     * @param mixed $descricao
     */
    public function setDescricao($descricao): void
    {
        $this->descricao = $descricao;
    }

    /**
     * @return mixed
     */
    public function getTelemedicina()
    {
        return $this->telemedicina;
    }

    /**
     * @param mixed $telemedicina
     */
    public function setTelemedicina($telemedicina): void
    {
        $this->telemedicina = $telemedicina;
    }

    /**
     * @return mixed
     */
    public function getCep()
    {
        return $this->cep;
    }

    /**
     * @param mixed $cep
     */
    public function setCep($cep): void
    {
        $this->cep = $cep;
    }

    /**
     * @return mixed
     */
    public function getBairro()
    {
        return $this->bairro;
    }

    /**
     * @param mixed $bairro
     */
    public function setBairro($bairro): void
    {
        $this->bairro = $bairro;
    }

    /**
     * @return mixed
     */
    public function getLogradouro()
    {
        return $this->logradouro;
    }

    /**
     * @param mixed $logradouro
     */
    public function setLogradouro($logradouro): void
    {
        $this->logradouro = $logradouro;
    }

    /**
     * @return mixed
     */
    public function getCidade()
    {
        return $this->cidade;
    }

    /**
     * @param mixed $cidade
     */
    public function setCidade($cidade): void
    {
        $this->cidade = $cidade;
    }

    /**
     * @return mixed
     */
    public function getEstado()
    {
        return $this->estado;
    }

    /**
     * @param mixed $estado
     */
    public function setEstado($estado): void
    {
        $this->estado = $estado;
    }

    /**
     * @return mixed
     */
    public function getNumero()
    {
        return $this->numero;
    }

    /**
     * @param mixed $numero
     */
    public function setNumero($numero): void
    {
        $this->numero = $numero;
    }

    /**
     * @return mixed
     */
    public function getComplemento()
    {
        return $this->complemento;
    }

    /**
     * @param mixed $complemento
     */
    public function setComplemento($complemento): void
    {
        $this->complemento = $complemento;
    }

    /**
     * @return mixed
     */
    public function getReferencias()
    {
        return $this->referencias;
    }

    /**
     * @param mixed $referencias
     */
    public function setReferencias($referencias): void
    {
        $this->referencias = $referencias;
    }

    /**
     * @return mixed
     */
    public function getTelefone1()
    {
        return $this->telefone_1;
    }

    /**
     * @param mixed $telefone_1
     */
    public function setTelefone1($telefone_1): void
    {
        $this->telefone_1 = $telefone_1;
    }

    /**
     * @return mixed
     */
    public function getTelefone2()
    {
        return $this->telefone_2;
    }

    /**
     * @param mixed $telefone_2
     */
    public function setTelefone2($telefone_2): void
    {
        $this->telefone_2 = $telefone_2;
    }

    /**
     * @return mixed
     */
    public function getObservacao()
    {
        return $this->observacao;
    }

    /**
     * @param mixed $observacao
     */
    public function setObservacao($observacao): void
    {
        $this->observacao = $observacao;
    }

    /**
     * @return mixed
     */
    public function getNomeFantasia()
    {
        return $this->nome_fantasia;
    }

    /**
     * @param mixed $nome_fantasia
     */
    public function setNomeFantasia($nome_fantasia): void
    {
        $this->nome_fantasia = $nome_fantasia;
    }

    /**
     * @return mixed
     */
    public function getRazaoSocial()
    {
        return $this->razao_social;
    }

    /**
     * @param mixed $razao_social
     */
    public function setRazaoSocial($razao_social): void
    {
        $this->razao_social = $razao_social;
    }

    /**
     * @return mixed
     */
    public function getCnpj()
    {
        return $this->cnpj;
    }

    /**
     * @param mixed $cnpj
     */
    public function setCnpj($cnpj): void
    {
        $this->cnpj = $cnpj;
    }

    /**
     * @return mixed
     */
    public function getAdicionadoPor()
    {
        return $this->adicionado_por;
    }

    /**
     * @param mixed $adicionado_por
     */
    public function setAdicionadoPor($adicionado_por): void
    {
        $this->adicionado_por = $adicionado_por;
    }

    /**
     * @return mixed
     */
    public function getAlteradoPor()
    {
        return $this->alterado_por;
    }

    /**
     * @param mixed $alterado_por
     */
    public function setAlteradoPor($alterado_por): void
    {
        $this->alterado_por = $alterado_por;
    }


}
